Subject: [PATCH 1/1] Attempt to remove CSharp and Java support

WIP: Can be used for ifdef later if successful
---
 gettext-tools/Makefile.am                     |    4 -
 gettext-tools/configure.ac                    |   48 -
 gettext-tools/examples/Makefile.am            |   70 -
 gettext-tools/src/FILES                       |   33 +-
 gettext-tools/src/Makefile.am                 |  112 +-
 gettext-tools/src/format-csharp.c             |  290 ---
 gettext-tools/src/format-java-printf.c        |  725 ------
 gettext-tools/src/format-java.c               |  894 -------
 gettext-tools/src/format.c                    |    3 -
 gettext-tools/src/format.h                    |    3 -
 .../src/gnu/gettext/DumpResource.java         |  236 --
 gettext-tools/src/gnu/gettext/GetURL.java     |   81 -
 gettext-tools/src/message.c                   |    6 -
 gettext-tools/src/message.h                   |    3 -
 gettext-tools/src/msgcmp.c                    |    8 -
 gettext-tools/src/msgfmt.c                    |  171 +-
 gettext-tools/src/msgfmt.cs                   |   91 -
 gettext-tools/src/msgunfmt.c                  |  118 +-
 gettext-tools/src/msgunfmt.cs                 |  241 --
 gettext-tools/src/read-csharp.h               |   30 -
 gettext-tools/src/read-java.c                 |  128 -
 gettext-tools/src/read-java.h                 |   29 -
 gettext-tools/src/read-properties.c           |  724 ------
 gettext-tools/src/read-properties.h           |   38 -
 gettext-tools/src/read-resources.c            |  138 --
 gettext-tools/src/urlget.c                    |   61 +-
 gettext-tools/src/write-catalog.c             |    6 -
 gettext-tools/src/write-catalog.h             |    4 -
 gettext-tools/src/write-csharp.c              |  788 -------
 gettext-tools/src/write-csharp.h              |   35 -
 gettext-tools/src/write-java.c                | 1239 ----------
 gettext-tools/src/write-java.h                |   39 -
 gettext-tools/src/write-properties.c          |  306 ---
 gettext-tools/src/write-properties.h          |   38 -
 gettext-tools/src/write-resources.c           |  200 --
 gettext-tools/src/write-resources.h           |   31 -
 gettext-tools/src/x-csharp.c                  | 2080 -----------------
 gettext-tools/src/x-csharp.h                  |   50 -
 gettext-tools/src/x-java.c                    | 1717 --------------
 gettext-tools/src/x-java.h                    |   51 -
 gettext-tools/src/x-properties.h              |   45 -
 gettext-tools/src/xgettext.c                  |   45 +-
 gettext-tools/tests/Makefile.am               |   12 +-
 gettext-tools/tests/format-csharp-1           |   83 -
 gettext-tools/tests/format-csharp-2           |   73 -
 gettext-tools/tests/format-java-1             |  153 --
 gettext-tools/tests/format-java-2             |  142 --
 gettext-tools/tests/gettextpo-1-prg.c         |   15 -
 gettext-tools/tests/lang-csharp               |  206 --
 gettext-tools/tests/lang-java                 |  227 --
 gettext-tools/tests/msggrep-6                 |    6 -
 gettext-tools/tests/msggrep-9                 |   11 -
 gettext-tools/tests/msgunfmt-csharp-1         |   92 -
 gettext-tools/tests/msgunfmt-java-1           |   91 -
 gettext-tools/tests/xgettext-6                |   36 +-
 gettext-tools/tests/xgettext-csharp-1         |   70 -
 gettext-tools/tests/xgettext-csharp-2         |   83 -
 gettext-tools/tests/xgettext-csharp-3         |  171 --
 gettext-tools/tests/xgettext-csharp-4         |   36 -
 gettext-tools/tests/xgettext-csharp-5         |   56 -
 gettext-tools/tests/xgettext-csharp-6         |   33 -
 gettext-tools/tests/xgettext-csharp-7         |   28 -
 gettext-tools/tests/xgettext-csharp-8         |   66 -
 gettext-tools/tests/xgettext-java-1           |   61 -
 gettext-tools/tests/xgettext-java-2           |  222 --
 gettext-tools/tests/xgettext-java-3           |   31 -
 gettext-tools/tests/xgettext-java-4           |   32 -
 gettext-tools/tests/xgettext-java-5           |   56 -
 gettext-tools/tests/xgettext-java-6           |   33 -
 gettext-tools/tests/xgettext-java-7           |   29 -
 gettext-tools/woe32dll/gettextsrc-exports.c   |    3 -
 gnulib-local/Makefile.am                      |    2 -
 gnulib-local/m4/java.m4                       |   17 -
 gnulib-local/modules/java                     |   21 -
 m4/libtool.m4                                 |   74 -
 75 files changed, 32 insertions(+), 13198 deletions(-)
 delete mode 100644 gettext-tools/src/format-csharp.c
 delete mode 100644 gettext-tools/src/format-java-printf.c
 delete mode 100644 gettext-tools/src/format-java.c
 delete mode 100644 gettext-tools/src/gnu/gettext/DumpResource.java
 delete mode 100644 gettext-tools/src/gnu/gettext/GetURL.java
 delete mode 100644 gettext-tools/src/msgfmt.cs
 delete mode 100644 gettext-tools/src/msgunfmt.cs
 delete mode 100644 gettext-tools/src/read-csharp.h
 delete mode 100644 gettext-tools/src/read-java.c
 delete mode 100644 gettext-tools/src/read-java.h
 delete mode 100644 gettext-tools/src/read-properties.c
 delete mode 100644 gettext-tools/src/read-properties.h
 delete mode 100644 gettext-tools/src/read-resources.c
 delete mode 100644 gettext-tools/src/write-csharp.c
 delete mode 100644 gettext-tools/src/write-csharp.h
 delete mode 100644 gettext-tools/src/write-java.c
 delete mode 100644 gettext-tools/src/write-java.h
 delete mode 100644 gettext-tools/src/write-properties.c
 delete mode 100644 gettext-tools/src/write-properties.h
 delete mode 100644 gettext-tools/src/write-resources.c
 delete mode 100644 gettext-tools/src/write-resources.h
 delete mode 100644 gettext-tools/src/x-csharp.c
 delete mode 100644 gettext-tools/src/x-csharp.h
 delete mode 100644 gettext-tools/src/x-java.c
 delete mode 100644 gettext-tools/src/x-java.h
 delete mode 100644 gettext-tools/src/x-properties.h
 delete mode 100755 gettext-tools/tests/format-csharp-1
 delete mode 100755 gettext-tools/tests/format-csharp-2
 delete mode 100755 gettext-tools/tests/format-java-1
 delete mode 100755 gettext-tools/tests/format-java-2
 delete mode 100755 gettext-tools/tests/lang-csharp
 delete mode 100755 gettext-tools/tests/lang-java
 delete mode 100755 gettext-tools/tests/msgunfmt-csharp-1
 delete mode 100755 gettext-tools/tests/msgunfmt-java-1
 delete mode 100755 gettext-tools/tests/xgettext-csharp-1
 delete mode 100755 gettext-tools/tests/xgettext-csharp-2
 delete mode 100755 gettext-tools/tests/xgettext-csharp-3
 delete mode 100755 gettext-tools/tests/xgettext-csharp-4
 delete mode 100755 gettext-tools/tests/xgettext-csharp-5
 delete mode 100755 gettext-tools/tests/xgettext-csharp-6
 delete mode 100755 gettext-tools/tests/xgettext-csharp-7
 delete mode 100755 gettext-tools/tests/xgettext-csharp-8
 delete mode 100755 gettext-tools/tests/xgettext-java-1
 delete mode 100755 gettext-tools/tests/xgettext-java-2
 delete mode 100755 gettext-tools/tests/xgettext-java-3
 delete mode 100755 gettext-tools/tests/xgettext-java-4
 delete mode 100755 gettext-tools/tests/xgettext-java-5
 delete mode 100755 gettext-tools/tests/xgettext-java-6
 delete mode 100755 gettext-tools/tests/xgettext-java-7
 delete mode 100644 gnulib-local/m4/java.m4
 delete mode 100644 gnulib-local/modules/java

diff --git a/gettext-tools/Makefile.am b/gettext-tools/Makefile.am
index 449a79754..0049191e8 100644
--- a/gettext-tools/Makefile.am
+++ b/gettext-tools/Makefile.am
@@ -34,10 +34,6 @@ gettextsrc_SCRIPTS = ../build-aux/config.rpath
 # Files installed for the examples.
 
 examplesbuildauxdir = $(docdir)/examples/build-aux
-examplesbuildaux_DATA = \
-  ../build-aux/javacomp.sh.in ../build-aux/javaexec.sh.in \
-  ../build-aux/csharpcomp.sh.in ../build-aux/csharpexec.sh.in
-
 
 # Files copied from other directories.
 
diff --git a/gettext-tools/configure.ac b/gettext-tools/configure.ac
index d58b86ed2..db4ed2e5f 100644
--- a/gettext-tools/configure.ac
+++ b/gettext-tools/configure.ac
@@ -33,40 +33,6 @@ AC_PROG_CC
 AC_PROG_INSTALL
 AC_PROG_YACC
 
-gt_JAVA_CHOICE
-
-gt_JAVAEXEC
-gt_JAVACOMP([1.5])
-AC_CHECK_PROG([JAR], [jar], [jar])
-if test -n "$HAVE_JAVACOMP" && test -n "$JAR" && test "$JAVA_CHOICE" != no; then
-  BUILDJAVA=yes
-else
-  BUILDJAVA=no
-fi
-AC_SUBST([BUILDJAVA])
-if test -n "$HAVE_JAVAEXEC" && test $BUILDJAVA = yes; then
-  TESTJAVA=yes
-else
-  TESTJAVA=no
-fi
-AC_SUBST([TESTJAVA])
-
-gt_CSHARPCOMP
-if test -n "$HAVE_CSHARPCOMP" && test "$CSHARP_CHOICE" != no; then
-  BUILDCSHARP=yes
-else
-  BUILDCSHARP=no
-fi
-AC_SUBST([BUILDCSHARP])
-
-gt_CSHARPEXEC([csharpexec-test.exe], [$srcdir/m4])
-if test -n "$HAVE_CSHARPEXEC" && test $BUILDCSHARP = yes; then
-  TESTCSHARP=yes
-else
-  TESTCSHARP=no
-fi
-AC_SUBST([TESTCSHARP])
-
 dnl Check for host type.
 AC_CANONICAL_HOST
 
@@ -147,20 +113,6 @@ fi
 AM_CONDITIONAL([USE_INSTALLED_LIBTEXTSTYLE],
   [test "$gt_use_installed_libtextstyle" != no])
 
-dnl This option allows to build gettext-tools without (re)building GNU.Gettext.dll.
-AC_ARG_WITH([installed-csharp-dll],
-  [AS_HELP_STRING([--with-installed-csharp-dll],
-     [Use an already installed C# DLL.])],
-  [gt_use_installed_csharp_dll=$withval],
-  [gt_use_installed_csharp_dll=no])
-if test "$gt_use_installed_csharp_dll" = no; then
-  test -f ../gettext-runtime/intl-csharp/Makefile || {
-    AC_MSG_WARN([When building the gettext-tools package without building the entire gettext package, you need to pass the --with-installed-csharp-dll option to configure.])
-  }
-fi
-AM_CONDITIONAL([USE_INSTALLED_CSHARP_DLL],
-  [test "$gt_use_installed_csharp_dll" != no])
-
 dnl This line internationalizes the bison generated parsers.
 BISON_I18N
 
diff --git a/gettext-tools/examples/Makefile.am b/gettext-tools/examples/Makefile.am
index cd478eb5e..ff303e254 100644
--- a/gettext-tools/examples/Makefile.am
+++ b/gettext-tools/examples/Makefile.am
@@ -240,70 +240,6 @@ EXAMPLESFILES = \
   hello-smalltalk/m4/Makefile.am \
   hello-smalltalk/po/Makefile.am \
   \
-  hello-java/INSTALL \
-  hello-java/autogen.sh \
-  hello-java/autoclean.sh \
-  hello-java/Hello.java \
-  hello-java/Makefile.am \
-  hello-java/configure.ac \
-  hello-java/m4/Makefile.am \
-  hello-java/po/Makefile.am \
-  \
-  hello-java-awt/INSTALL \
-  hello-java-awt/BUGS \
-  hello-java-awt/autogen.sh \
-  hello-java-awt/autoclean.sh \
-  hello-java-awt/Hello.java \
-  hello-java-awt/Makefile.am \
-  hello-java-awt/configure.ac \
-  hello-java-awt/m4/Makefile.am \
-  hello-java-awt/m4/TestAWT.java \
-  hello-java-awt/m4/TestAWT.class \
-  hello-java-awt/po/Makefile.am \
-  \
-  hello-java-swing/INSTALL \
-  hello-java-swing/BUGS \
-  hello-java-swing/autogen.sh \
-  hello-java-swing/autoclean.sh \
-  hello-java-swing/Hello.java \
-  hello-java-swing/Makefile.am \
-  hello-java-swing/configure.ac \
-  hello-java-swing/m4/Makefile.am \
-  hello-java-swing/m4/TestAWT.java \
-  hello-java-swing/m4/TestAWT.class \
-  hello-java-swing/po/Makefile.am \
-  \
-  hello-java-qtjambi/INSTALL \
-  hello-java-qtjambi/BUGS \
-  hello-java-qtjambi/autogen.sh \
-  hello-java-qtjambi/autoclean.sh \
-  hello-java-qtjambi/Hello.java \
-  hello-java-qtjambi/Makefile.am \
-  hello-java-qtjambi/configure.ac \
-  hello-java-qtjambi/m4/Makefile.am \
-  hello-java-qtjambi/m4/Test15.java \
-  hello-java-qtjambi/m4/Test15.class \
-  hello-java-qtjambi/po/Makefile.am \
-  \
-  hello-csharp/INSTALL \
-  hello-csharp/autogen.sh \
-  hello-csharp/autoclean.sh \
-  hello-csharp/hello.cs \
-  hello-csharp/Makefile.am \
-  hello-csharp/configure.ac \
-  hello-csharp/m4/Makefile.am \
-  hello-csharp/po/Makefile.am \
-  \
-  hello-csharp-forms/INSTALL \
-  hello-csharp-forms/README \
-  hello-csharp-forms/autogen.sh \
-  hello-csharp-forms/autoclean.sh \
-  hello-csharp-forms/hello.cs \
-  hello-csharp-forms/Makefile.am \
-  hello-csharp-forms/configure.ac \
-  hello-csharp-forms/m4/Makefile.am \
-  hello-csharp-forms/po/Makefile.am \
-  \
   hello-gawk/INSTALL \
   hello-gawk/autogen.sh \
   hello-gawk/autoclean.sh \
@@ -390,12 +326,6 @@ EXAMPLESDIRS = \
   hello-librep \
   hello-guile \
   hello-smalltalk \
-  hello-java \
-  hello-java-awt \
-  hello-java-swing \
-  hello-java-qtjambi \
-  hello-csharp \
-  hello-csharp-forms \
   hello-gawk \
   hello-pascal \
   hello-ycp \
diff --git a/gettext-tools/src/FILES b/gettext-tools/src/FILES
index 52c1ad058..934bd3687 100644
--- a/gettext-tools/src/FILES
+++ b/gettext-tools/src/FILES
@@ -191,17 +191,7 @@ plural-table.c
 | read-mo.h
 | read-mo.c
 |               Reading GNU .mo files.
-| read-java.h
-| read-java.c
-|               Reading Java ResourceBundle files.
-| read-csharp.h
-| read-csharp.c
-| msgunfmt.cs
-|               Reading C# satellite assemblies.
-| read-resources.h
-| read-resources.c
-| msgunfmt.cs
-|               Reading C# .resources files.
+|
 | read-tcl.h
 | read-tcl.c
 | msgunfmt.tcl
@@ -222,9 +212,6 @@ format-lisp.c          Format string handling for Common Lisp.
 format-elisp.c         Format string handling for Emacs Lisp.
 format-librep.c        Format string handling for librep.
 format-scheme.c        Format string handling for Scheme.
-format-java.c          Format string handling for Java.
-format-java-printf.c   Format string handling for Java, printf syntax.
-format-csharp.c        Format string handling for C#.
 format-awk.c           Format string handling for awk.
 format-pascal.c        Format string handling for Object Pascal.
 format-ycp.c           Format string handling for YCP.
@@ -259,16 +246,7 @@ msgl-check.c
 | write-mo.h
 | write-mo.c
 |               Generating GNU .mo files.
-| write-java.h
-| write-java.c
-|               Generating Java ResourceBundle files.
-| write-csharp.h
-| write-csharp.c
-|               Generating C# satellite assemblies.
-| write-resources.h
-| write-resources.c
-| msgfmt.cs
-|               Generating C# .resources files.
+|
 | write-tcl.h
 | write-tcl.c
 |               Generating Tcl .msg files.
@@ -340,12 +318,7 @@ msgl-check.c
 | x-smalltalk.h
 | x-smalltalk.c
 |               String extractor for Smalltalk.
-| x-java.h
-| x-java.c
-|               String extractor for Java.
-| x-csharp.h
-| x-csharp.c
-|               String extractor for C#.
+|
 | x-awk.h
 | x-awk.c
 |               String extractor for awk.
diff --git a/gettext-tools/src/Makefile.am b/gettext-tools/src/Makefile.am
index b0894211d..2b46dadce 100644
--- a/gettext-tools/src/Makefile.am
+++ b/gettext-tools/src/Makefile.am
@@ -37,7 +37,7 @@ lib_LTLIBRARIES = libgettextsrc.la
 
 noinst_HEADERS = pos.h message.h po-error.h po-xerror.h po-gram.h po-charset.h \
 po-lex.h open-catalog.h read-catalog-abstract.h read-catalog.h \
-read-po.h read-properties.h read-stringtable.h \
+read-po.h read-stringtable.h \
 str-list.h \
 write-catalog.h write-po.h write-properties.h write-stringtable.h \
 dir-list.h file-list.h po-gram-gen.h po-gram-gen2.h cldr-plural.h \
@@ -46,8 +46,6 @@ msgl-charset.h msgl-equal.h msgl-iconv.h msgl-ascii.h msgl-cat.h msgl-header.h \
 msgl-english.h msgl-check.h msgl-fsearch.h msgfmt.h msgunfmt.h \
 plural-count.h plural-eval.h plural-distrib.h \
 read-mo.h write-mo.h \
-read-java.h write-java.h \
-read-csharp.h write-csharp.h \
 read-resources.h write-resources.h \
 read-tcl.h write-tcl.h \
 write-qt.h \
@@ -58,14 +56,14 @@ xgettext.h \
 rc-str-list.h xg-pos.h xg-encoding.h xg-mixed-string.h xg-arglist-context.h \
 xg-arglist-callshape.h xg-arglist-parser.h xg-message.h \
 x-c.h x-po.h x-sh.h x-python.h x-lisp.h x-elisp.h x-librep.h \
-x-scheme.h x-smalltalk.h x-java.h x-properties.h x-csharp.h x-awk.h x-ycp.h \
+x-scheme.h x-smalltalk.h x-properties.h x-awk.h x-ycp.h \
 x-tcl.h x-perl.h x-php.h x-stringtable.h x-rst.h x-glade.h x-lua.h \
 x-javascript.h x-vala.h x-gsettings.h x-desktop.h x-appdata.h
 
 EXTRA_DIST += FILES project-id
 
 aliaspath = $(localedir)
-jardir = $(datadir)/gettext
+
 pkgdatadir = $(datadir)/gettext
 projectsdir = $(pkgdatadir)/projects
 pkglibdir = $(libdir)/gettext
@@ -79,12 +77,11 @@ AM_CPPFLAGS = \
 DEFS = \
   -DLOCALEDIR=\"$(localedir)\" -DBISON_LOCALEDIR=\"$(BISON_LOCALEDIR)\" \
   -DLOCALE_ALIAS_PATH=\"$(aliaspath)\" \
-  -DUSEJAVA=$(USEJAVA) \
-  -DGETTEXTJAR=\"$(jardir)/gettext.jar\" \
   -DLIBDIR=\"$(libdir)\" \
   -DGETTEXTDATADIR=\"$(pkgdatadir)\" \
   -DPROJECTSDIR=\"$(projectsdir)\" \
   -DEXEEXT=\"@EXEEXT@\" @DEFS@
+
 # Ensure that <stdint.h> defines SIZE_MAX in C++ mode, like it does in C mode.
 AM_CXXFLAGS = -D__STDC_LIMIT_MACROS
 
@@ -93,15 +90,9 @@ OTHERPROGDEPENDENCIES = ../gnulib-lib/libgettextlib.la $(WOE32_LDADD)
 
 SED = sed
 YACC = @YACC@ -d
-JAR = @JAR@
-JAVACOMP = $(SHELL) ../javacomp.sh
-CSHARPCOMP = $(SHELL) ../csharpcomp.sh
-CSHARPCOMPFLAGS = @CSHARPCOMPFLAGS@
-
 
 # All programs deal with message lists.
-# All programs must read PO files. (msgunfmt also, for read-java.c,
-# read-csharp.c and read-resources.c.)
+# All programs must read PO files. (msgunfmt also, for read-resources.c.)
 # message.c -> str-list.c.
 # (read-catalog-abstract.c <--> po-gram-gen.y <--> po-lex.c) -> str-list.c.
 # (read-catalog-abstract.c <--> po-gram-gen.y <--> po-lex.c) -> open-catalog.c -> dir-list.c -> str-list.c.
@@ -128,9 +119,6 @@ FORMAT_SOURCE += \
   format-elisp.c \
   format-librep.c \
   format-scheme.c \
-  format-java.c \
-  format-java-printf.c \
-  format-csharp.c \
   format-awk.c \
   format-pascal.c \
   format-ycp.c \
@@ -166,7 +154,7 @@ msgcmp_SOURCES = msgcmp.c
 msgcmp_SOURCES += msgl-fsearch.c
 msgfmt_SOURCES = msgfmt.c
 msgfmt_SOURCES += \
-  write-mo.c write-java.c write-csharp.c write-resources.c write-tcl.c \
+  write-mo.c write-resources.c write-tcl.c \
   write-qt.c write-desktop.c write-xml.c \
   ../../gettext-runtime/intl/hash-string.c
 if !WOE32DLL
@@ -177,7 +165,8 @@ endif
 msgmerge_SOURCES += msgl-fsearch.c lang-table.c plural-count.c
 msgunfmt_SOURCES = msgunfmt.c
 msgunfmt_SOURCES += \
-  read-mo.c read-java.c read-csharp.c read-resources.c read-tcl.c
+  read-mo.c read-resources.c read-tcl.c
+
 if !WOE32DLL
 xgettext_SOURCES = xgettext.c
 else
@@ -198,8 +187,6 @@ xgettext_SOURCES += \
   x-librep.c \
   x-scheme.c \
   x-smalltalk.c \
-  x-java.c \
-  x-csharp.c \
   x-awk.c \
   x-ycp.c \
   x-tcl.c \
@@ -210,6 +197,7 @@ xgettext_SOURCES += \
   x-javascript.c \
   x-vala.c \
   x-desktop.c
+
 if !WOE32DLL
 msgattrib_SOURCES = msgattrib.c
 else
@@ -579,88 +567,6 @@ uninstall-local:
 
 DISTCLEANFILES += user-email
 
-
-# Special rules for Java compilation.
-
-USEJAVA = $(USEJAVA_@BUILDJAVA@)
-USEJAVA_yes = 1
-USEJAVA_no = 0
-
-all-local: all-java-@BUILDJAVA@
-all-java-yes: gettext.jar
-all-java-no:
-
-gnu/gettext/DumpResource.class: $(srcdir)/gnu/gettext/DumpResource.java
-	$(JAVACOMP) -d . $(srcdir)/gnu/gettext/DumpResource.java
-
-gnu/gettext/GetURL.class: $(srcdir)/gnu/gettext/GetURL.java
-	$(JAVACOMP) -d . $(srcdir)/gnu/gettext/GetURL.java
-
-gettext.jar: gnu/gettext/DumpResource.class gnu/gettext/GetURL.class
-	$(JAR) cf $@ gnu/gettext/DumpResource*.class gnu/gettext/GetURL*.class
-
-EXTRA_DIST += gnu/gettext/DumpResource.java gnu/gettext/GetURL.java
-
-CLEANFILES += gettext.jar gnu/gettext/*.class
-
-install-data-local: install-data-java-@BUILDJAVA@
-install-data-java-yes: all-java-yes
-	$(INSTALL_DATA) gettext.jar $(DESTDIR)$(jardir)/gettext.jar
-install-data-java-no:
-
-installdirs-local: installdirs-java-@BUILDJAVA@
-installdirs-java-yes:
-	$(MKDIR_P) $(DESTDIR)$(jardir)
-installdirs-java-no:
-
-uninstall-local: uninstall-java-@BUILDJAVA@
-uninstall-java-yes:
-	$(RM) $(DESTDIR)$(jardir)/gettext.jar
-uninstall-java-no:
-
-
-# Special rules for C# auxiliary programs.
-
-EXTRA_DIST += msgfmt.cs msgunfmt.cs
-
-CLEANFILES += \
-  msgfmt.net.exe msgfmt.net.exe.mdb \
-  msgunfmt.net.exe msgunfmt.net.exe.mdb
-
-all-local: all-csharp-@BUILDCSHARP@
-all-csharp-yes: msgfmt.net.exe msgunfmt.net.exe
-all-csharp-no:
-
-msgfmt.net.exe: msgfmt.cs
-	$(CSHARPCOMP) $(CSHARPCOMPFLAGS) -o $@ $(srcdir)/msgfmt.cs
-
-if USE_INSTALLED_CSHARP_DLL
-CSHARP_DLL_DIR = $(libdir)
-else
-CSHARP_DLL_DIR = ../../gettext-runtime/intl-csharp
-endif
-msgunfmt.net.exe: msgunfmt.cs
-	$(CSHARPCOMP) $(CSHARPCOMPFLAGS) -o $@ -L '$(CSHARP_DLL_DIR)' -l GNU.Gettext $(srcdir)/msgunfmt.cs
-
-install-exec-local: install-exec-csharp-@BUILDCSHARP@
-install-exec-csharp-yes: all-csharp-yes
-	$(MKDIR_P) $(DESTDIR)$(pkglibdir)
-	$(INSTALL_DATA) msgfmt.net.exe $(DESTDIR)$(pkglibdir)/msgfmt.net.exe
-	$(INSTALL_DATA) msgunfmt.net.exe $(DESTDIR)$(pkglibdir)/msgunfmt.net.exe
-install-exec-csharp-no:
-	$(MKDIR_P) $(DESTDIR)$(pkglibdir)
-
-installdirs-local: install-csharp
-installdirs-csharp:
-	$(MKDIR_P) $(DESTDIR)$(pkglibdir)
-
-uninstall-local: uninstall-csharp-@BUILDCSHARP@
-uninstall-csharp-yes: all-csharp-yes
-	$(RM) $(DESTDIR)$(pkglibdir)/msgfmt.net.exe
-	$(RM) $(DESTDIR)$(pkglibdir)/msgunfmt.net.exe
-uninstall-csharp-no:
-
-
 # Special rules for Tcl auxiliary program.
 
 EXTRA_DIST += msgunfmt.tcl
diff --git a/gettext-tools/src/format.c b/gettext-tools/src/format.c
index 987c50dda..827f18248 100644
--- a/gettext-tools/src/format.c
+++ b/gettext-tools/src/format.c
@@ -44,9 +44,6 @@ struct formatstring_parser *formatstring_parsers[NFORMATS] =
   /* format_librep */           &formatstring_librep,
   /* format_scheme */           &formatstring_scheme,
   /* format_smalltalk */        &formatstring_smalltalk,
-  /* format_java */             &formatstring_java,
-  /* format_java_printf */      &formatstring_java_printf,
-  /* format_csharp */           &formatstring_csharp,
   /* format_awk */              &formatstring_awk,
   /* format_pascal */           &formatstring_pascal,
   /* format_ycp */              &formatstring_ycp,
diff --git a/gettext-tools/src/format.h b/gettext-tools/src/format.h
index 0ae7007a6..5477407f5 100644
--- a/gettext-tools/src/format.h
+++ b/gettext-tools/src/format.h
@@ -105,9 +105,6 @@ extern DLL_VARIABLE struct formatstring_parser formatstring_elisp;
 extern DLL_VARIABLE struct formatstring_parser formatstring_librep;
 extern DLL_VARIABLE struct formatstring_parser formatstring_scheme;
 extern DLL_VARIABLE struct formatstring_parser formatstring_smalltalk;
-extern DLL_VARIABLE struct formatstring_parser formatstring_java;
-extern DLL_VARIABLE struct formatstring_parser formatstring_java_printf;
-extern DLL_VARIABLE struct formatstring_parser formatstring_csharp;
 extern DLL_VARIABLE struct formatstring_parser formatstring_awk;
 extern DLL_VARIABLE struct formatstring_parser formatstring_pascal;
 extern DLL_VARIABLE struct formatstring_parser formatstring_ycp;
diff --git a/gettext-tools/src/message.c b/gettext-tools/src/message.c
index 05437eb15..c3f90e4e7 100644
--- a/gettext-tools/src/message.c
+++ b/gettext-tools/src/message.c
@@ -44,9 +44,6 @@ const char *const format_language[NFORMATS] =
   /* format_librep */           "librep",
   /* format_scheme */           "scheme",
   /* format_smalltalk */        "smalltalk",
-  /* format_java */             "java",
-  /* format_java_printf */      "java-printf",
-  /* format_csharp */           "csharp",
   /* format_awk */              "awk",
   /* format_pascal */           "object-pascal",
   /* format_ycp */              "ycp",
@@ -77,9 +74,6 @@ const char *const format_language_pretty[NFORMATS] =
   /* format_librep */           "librep",
   /* format_scheme */           "Scheme",
   /* format_smalltalk */        "Smalltalk",
-  /* format_java */             "Java MessageFormat",
-  /* format_java_printf */      "Java printf",
-  /* format_csharp */           "C#",
   /* format_awk */              "awk",
   /* format_pascal */           "Object Pascal",
   /* format_ycp */              "YCP",
diff --git a/gettext-tools/src/message.h b/gettext-tools/src/message.h
index 5ee97187c..ca4d42653 100644
--- a/gettext-tools/src/message.h
+++ b/gettext-tools/src/message.h
@@ -53,9 +53,6 @@ enum format_type
   format_librep,
   format_scheme,
   format_smalltalk,
-  format_java,
-  format_java_printf,
-  format_csharp,
   format_awk,
   format_pascal,
   format_ycp,
diff --git a/gettext-tools/src/msgcmp.c b/gettext-tools/src/msgcmp.c
index a376e2ce2..68ea66436 100644
--- a/gettext-tools/src/msgcmp.c
+++ b/gettext-tools/src/msgcmp.c
@@ -37,7 +37,6 @@
 #include "message.h"
 #include "read-catalog.h"
 #include "read-po.h"
-#include "read-properties.h"
 #include "read-stringtable.h"
 #include "xmalloca.h"
 #include "po-charset.h"
@@ -70,7 +69,6 @@ static const struct option long_options[] =
   { "help", no_argument, NULL, 'h' },
   { "multi-domain", no_argument, NULL, 'm' },
   { "no-fuzzy-matching", no_argument, NULL, 'N' },
-  { "properties-input", no_argument, NULL, 'P' },
   { "stringtable-input", no_argument, NULL, CHAR_MAX + 1 },
   { "use-fuzzy", no_argument, NULL, CHAR_MAX + 2 },
   { "use-untranslated", no_argument, NULL, CHAR_MAX + 3 },
@@ -138,10 +136,6 @@ main (int argc, char *argv[])
         use_fuzzy_matching = false;
         break;
 
-      case 'P':
-        input_syntax = &input_format_properties;
-        break;
-
       case 'V':
         do_version = true;
         break;
@@ -249,8 +243,6 @@ Operation modifiers:\n"));
       printf (_("\
 Input file syntax:\n"));
       printf (_("\
-  -P, --properties-input      input files are in Java .properties syntax\n"));
-      printf (_("\
       --stringtable-input     input files are in NeXTstep/GNUstep .strings\n\
                               syntax\n"));
       printf ("\n");
